Skip to content

Create a BIN country rule

POST
/v1/merchants/{merchant_id}/projects/{project_id}/fraud-prevention/rules/bin-countries/

Blocks card payments with cards issued in this country. BIN country lookups aren't 100% accurate: banks sometimes use BIN ranges of other banks.

Authorization

apiKey
headerAuthorizationBasic <token>

HTTP Basic authentication with your API key as the username and an empty password.

Path Parameters

merchant_id*string

The ID of the merchant, or self for the merchant of your API key.

project_id*string

The ID of the project.

Request Body

application/json
  1. body

Blocks cards issued in a country.

country_code*string

The country that issued the card, as an ISO 3166-1 alpha-2 code.

Length2 <= length <= 2

Response Body

The rule is created.

application/json
  1. response

Blocks cards issued in a country.

rule_id?string

The ID of the rule.

country_code*string

The country that issued the card, as an ISO 3166-1 alpha-2 code.

Length2 <= length <= 2
curl -X POST 'https://api.example.com/v1/merchants/b8a1c2d4-1234-4c5d-9e8f-0123456789ab/projects/c5078bef-f741-4f26-a13f-26e7916bb00c/fraud-prevention/rules/bin-countries/' \  --user "$API_KEY:" \  -H 'Content-Type: application/json' \  -d '{  "country_code": "BE"}'
{  "rule_id": "string",  "country_code": "st"}